<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___r_s_c_s__definitions" kind="group">
    <compoundname>group_ble_service_api_RSCS_definitions</compoundname>
    <title>RSCS Definitions and Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__ble__rscs__char__value__t">cy_stc_ble_rscs_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__rscs__descr__value__t">cy_stc_ble_rscs_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__rscss__char__t">cy_stc_ble_rscss_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__rscss__t">cy_stc_ble_rscss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__rscsc__srvr__full__char__info__t">cy_stc_ble_rscsc_srvr_full_char_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__rscsc__t">cy_stc_ble_rscsc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__rscss__config__t">cy_stc_ble_rscss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__rscsc__config__t">cy_stc_ble_rscsc_config_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___r_s_c_s__definitions_1ga24f372ada267f7627ed72ce0640890a5" kind="enum" prot="public" static="no">
        <name>cy_en_ble_rscs_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___r_s_c_s__definitions_1gga24f372ada267f7627ed72ce0640890a5a58515719b4d15556a32975fa3f1ff9c7" prot="public">
          <name>CY_BLE_RSCS_RSC_MEASUREMENT</name>
          <briefdescription>
<para>RSC Measurement Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___r_s_c_s__definitions_1gga24f372ada267f7627ed72ce0640890a5a7bbe455935dcafcd0727468781c46861" prot="public">
          <name>CY_BLE_RSCS_RSC_FEATURE</name>
          <briefdescription>
<para>RSC Feature Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___r_s_c_s__definitions_1gga24f372ada267f7627ed72ce0640890a5ac7f7863a4d7d695bb1486e24ad0f950e" prot="public">
          <name>CY_BLE_RSCS_SENSOR_LOCATION</name>
          <briefdescription>
<para>Sensor Location Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___r_s_c_s__definitions_1gga24f372ada267f7627ed72ce0640890a5ad9babb5d52b06814ef616220fb6f2c5f" prot="public">
          <name>CY_BLE_RSCS_SC_CONTROL_POINT</name>
          <briefdescription>
<para>SC Control Point Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___r_s_c_s__definitions_1gga24f372ada267f7627ed72ce0640890a5a8ff109a70427483aca1fd6b9ea9b1131" prot="public">
          <name>CY_BLE_RSCS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of RSCS Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_rscs_char_index_t: </bold><linebreak />RSCS Characteristic indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="66" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" bodystart="59" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" line="60" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___r_s_c_s__definitions_1gabaf51d95af1aa0f1613e6718e59e9ac9" kind="enum" prot="public" static="no">
        <name>cy_en_ble_rscs_descr_index_t</name>
        <enumvalue id="group__group__ble__service__api___r_s_c_s__definitions_1ggabaf51d95af1aa0f1613e6718e59e9ac9a43ab534c22acaf15df4e1cf99de73237" prot="public">
          <name>CY_BLE_RSCS_CCCD</name>
          <briefdescription>
<para>Client Characteristic Configuration Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___r_s_c_s__definitions_1ggabaf51d95af1aa0f1613e6718e59e9ac9aafcce8a39fb16ee9a34018218d330c7a" prot="public">
          <name>CY_BLE_RSCS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of Descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_rscs_descr_index_t: </bold><linebreak />RSCS Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="73" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" bodystart="69" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" line="70" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the RSCS specific definitions and data structures used in the RSCS API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>